- Qt 6.9
- Qt 3D
- C++ Classes
- Qt3DInput (Deprecated)
- QAxisSetting
- Qt 6.9.2 Reference Documentation

# Qt3DInput::QAxisSetting Class

class Qt3DInput::QAxisSetting

QAxisSetting stores settings for the specified list of Axis. More...

Header: | `#include <QAxisSetting>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3dinput)` `target_link_libraries(mytarget PRIVATE Qt6::3dinput)`
qmake: | `QT += 3dinput`
In QML: | AxisSetting
Inherits: | Qt3DCore::QNode
Status: | Deprecated

- List of all members, including inherited members

## Properties

- axes : QList<int>
- deadZoneRadius : float
- smooth : bool

## Public Functions

| QAxisSetting(Qt3DCore::QNode *parent = nullptr)
QList<int> | axes() const
float | deadZoneRadius() const
bool | isSmoothEnabled() const

## Public Slots

void | setAxes(const QList<int> &axes)
void | setDeadZoneRadius(float deadZoneRadius)
void | setSmoothEnabled(bool enabled)

## Signals

void | axesChanged(const QList<int> &axes)
void | deadZoneRadiusChanged(float deadZoneRadius)
void | smoothChanged(bool smooth)

## Detailed Description

Stores the dead zone associated with this axis and defines if smoothing is enabled

## Property Documentation

### axes : QList<int>

Access functions:

QList<int> | axes() const
void | setAxes(const QList<int> &axes)

Notifier signal:

void | axesChanged(const QList<int> &axes)

### deadZoneRadius : float

Access functions:

float | deadZoneRadius() const
void | setDeadZoneRadius(float deadZoneRadius)

Notifier signal:

void | deadZoneRadiusChanged(float deadZoneRadius)

### smooth : bool

Access functions:

bool | isSmoothEnabled() const
void | setSmoothEnabled(bool enabled)

Notifier signal:

void | smoothChanged(bool smooth)

## Member Function Documentation

### `[explicit]` QAxisSetting::QAxisSetting(Qt3DCore::QNode *parent = nullptr)

Constructs a new QAxisSetting instance with parent.

### QList<int> QAxisSetting::axes() const

QAxisSetting::axes Returns the current list of Axis these settings apply to.

Note: Getter function for property axes.

See also setAxes().

### `[signal]` void QAxisSetting::axesChanged(const QList<int> &axes)

This signal is emitted when the axes associated with the axis setting is changed to axes.

Note: Notifier signal for property axes.

### float QAxisSetting::deadZoneRadius() const

QAxisSetting::deadZoneRadius Returns the set dead zone radius.

Note: Getter function for property deadZoneRadius.

See also setDeadZoneRadius().

### `[signal]` void QAxisSetting::deadZoneRadiusChanged(float deadZoneRadius)

This signal is emitted when the Dead Zone radius associated with the axis setting is changed to deadZoneRadius.

Note: Notifier signal for property deadZoneRadius.

### bool QAxisSetting::isSmoothEnabled() const

QAxisSetting::isSmoothEnabled Returns if smoothing is enabled.

Note: Getter function for property smooth.

### `[slot]` void QAxisSetting::setAxes(const QList<int> &axes)

Set the current axes of the QAxisSetting instance to axes.

Note: Setter function for property axes.

See also axes().

### `[slot]` void QAxisSetting::setDeadZoneRadius(float deadZoneRadius)

Set the current dead zone radius of the QAxisSetting instance to deadZoneRadius.

Note: Setter function for property deadZoneRadius.

See also deadZoneRadius().

### `[slot]` void QAxisSetting::setSmoothEnabled(bool enabled)

Set the current state of the QAxisSettings smoothing to enabled.

Note: Setter function for property smooth.

See also isSmoothEnabled().

### `[signal]` void QAxisSetting::smoothChanged(bool smooth)

This signal is emitted when the smoothing state is changed to smooth.

Note: Notifier signal for property smooth.